LetsmtDocument.LetsmtDocumentHandler (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.letsmt

## Class LetsmtDocument.LetsmtDocumentHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - opennlp.tools.formats.letsmt.LetsmtDocument.LetsmtDocumentHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    LetsmtDocument

      public static class LetsmtDocument.LetsmtDocumentHandler
      extends DefaultHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LetsmtDocumentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(String uri, String localName, String qName)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LetsmtDocumentHandler

          public LetsmtDocumentHandler()

  - ### Method Detail

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Overrides:
        `characters` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.